> ## Documentation Index
> Fetch the complete documentation index at: https://docs.landing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Section Model Versions

export const adePythonLibrary = 'ade-python';

export const section = 'ADE Section';

export const parse = 'ADE Parse';

export const ade = 'Agentic Document Extraction';

A section model powers the document structure analysis capabilities of the [{section}](https://docs.landing.ai/api-reference/tools/ade-section) API. The model analyzes parsed Markdown content and generates a hierarchical table of contents.

You can specify a model when calling the [{section}](https://docs.landing.ai/api-reference/tools/ade-section) API directly or when using the [client libraries](#set-the-model-with-the-client-libraries). If you don't specify a model, the API uses the latest section model (currently `section-20260406`).

## Model Versions

The following table lists the available `model` values for the {section} API:

| Model Values       | Description                                               |
| ------------------ | --------------------------------------------------------- |
| `section-20260406` | Use the section model snapshot released on April 6, 2026. |
| `section-latest`   | Use the latest section model snapshot.                    |

### Why Model Versioning Matters

When integrating the API, you have two options for specifying the model:

1. **Use `section-latest`** to always get the newest version. This automatically gives you improvements and updates, but results may change when new model versions are released.
2. **Use a specific version** (like `section-20260406`) to pin to an exact model version. This ensures consistent results over time, but you won't receive improvements.

## Set the Model in the API

When calling the [{section}](https://docs.landing.ai/api-reference/tools/ade-section) endpoint, you can set the model using the `model` parameter.

If you omit the `model` parameter, the API uses the latest model.

This example shows how to specify a model:

```shell theme={null}
curl -X POST 'https://api.va.landing.ai/v1/ade/section' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -F 'markdown=@parsed_output.md' \
  -F 'model=section-latest'
```

## Set the Model with the Client Libraries

When using the Python or TypeScript library, you can set the model using the `model` parameter in the `section()` method.

If you omit the `model` parameter, the library will use the latest section model.

<CodeGroup>
  ```python {8} Python theme={null}
  from pathlib import Path
  from landingai_ade import LandingAIADE

  client = LandingAIADE()

  response = client.section(
      markdown=Path("/path/to/parsed_output.md"),
      model="section-latest"
  )
  ```

  ```typescript {8} TypeScript theme={null}
  import LandingAIADE from "landingai-ade";
  import fs from "fs";

  const client = new LandingAIADE();

  const response = await client.section({
    markdown: fs.createReadStream("/path/to/parsed_output.md"),
    model: "section-latest"
  });
  ```
</CodeGroup>
